<?php
 
session_start();
include("DMMYSQLG.php");
require_once("DF80000.php");
include('DZ38000.php');//FUNCION DE CREACION DE TABLAS
?>
<html>
<head>
<title>Importa Clientes y Proveedores</title>
</head>
<body>
<h2>!!! Espere un momento Importando...!!!</h2>
<img src="GIF32.gif" width="123" height="6" id="imagen_espera" name="imagen_espera">
<?php
 

if(@$nar = fopen('archivos/'.$_REQUEST['t1'], "r")){
	mysqli_query($con ,"drop table dxbascps");
	mysqli_query($con ,"drop table dxbascpt");
	mysqli_query($con ,"drop table dgcatcli");
	mysqli_query($con ,"drop table dgcatpro");
	mysqli_query($con ,"drop table dvcatmov");				
	exeFileSQL('tablas/administracion/t98.sql');
	exeFileSQL('tablas/administracion/t100.sql');
	exeFileSQL('tablas/administracion/t21.sql');
	exeFileSQL('tablas/administracion/t22.sql');
	exeFileSQL('tablas/administracion/t91.sql');			
	mysqli_query($con ,"ALTER TABLE dxbascps add index(no_suc)");	
	mysqli_query($con ,"OPTIMIZE TABLE dxbascps");
	mysqli_query($con ,"REPAIR TABLE dxbascps");

	//mysqli_query($con ,"delete from dxbascps");
	//mysqli_query($con ,"delete from dxbascpt");
	//mysqli_query($con ,"delete from dgcatcli");
	//mysqli_query($con ,"delete from dgcatpro");
	//mysqli_query($con ,"delete from dvcatmov");
	//leer el archivo
    $timeIni=date('H:i:s');
	while ($datos=fgetcsv($nar,5020,'|')){
		$j +=1;
		
		$sq_bascpsCheck=mysqli_query($con ,"SELECT codigo,cve_estado,cve_pais,cve_delmun FROM dxbascps WHERE no_suc='$datos[54]'");
		//echo  "SELECT codigo,cve_estado,cve_pais,cve_delmun FROM dxbascps WHERE no_suc='$datos[54]'<BR>";
		if(mysqli_num_rows($sq_bascpsCheck)==0){
			//--------------------->T I T U L O S------------------------>
			$b1 = mysqli_query($con ,"select * from geoyos_jc.dxramtit where nom_tit = '$datos[4]'"); 
			if(mysqli_num_rows($b1) >= 1){
				$r1 = mysqli_fetch_array($b1);
				$titulo = $r1['titulo'];
			}else{
				$b1 = mysqli_query($con ,"insert into geoyos_jc.dxramtit (nom_tit) values ('$datos[4]')"); 
				$titulo = mysqli_insert_id($con);
			}
			//---------------------------------------------------------->	
			//--------------------->E S T A D O S----------------------->
			$b1 = mysqli_query($con ,"select * from geoyos_jc.dxestado where cve_pais ='1' AND id_estado = '$datos[18]'"); 
			if(mysqli_num_rows($b1) >= 1){
				$r1 = mysqli_fetch_array($b1);
				$estado = $r1['cve_estado'];
			}else{
				$b1 = mysqli_query($con ,"insert into geoyos_jc.dxestado (cve_pais,des_estado) values ('1','$datos[18]')"); 
				$estado = mysqli_insert_id($con);
			}	
			//---------------------------------------------------------->	
			//------------------>M U N I C I P I O S-------------------->
			$b1 = mysqli_query($con ,"select * from geoyos_jc.dxdelmun where cve_pais ='1' AND cve_estado='$estado' AND id_delmun = '$datos[19]'");
			if(mysqli_num_rows($b1) >= 1){
				$r1 = mysqli_fetch_array($b1);
				$municipio = $r1['cve_delmun'];
			}else{
				$b1 = mysqli_query($con ,"insert into geoyos_jc.dxdelmun (cve_pais,cve_estado,des_delmun) values ('1','$estado','$datos[19]')"); 
				$municipio = mysqli_insert_id($con);
			}	
			//---------------------------------------------------------->	
			//----------------------->C O L O N I A--------------------->
			$idCol=getId_COLONI(array(
				"idPais"=>'1',
				"idEst"=>$estado,
				"idMun"=>$municipio,
				"desCol"=>trim($datos[20]),
				"codPos"=>trim($datos[21])
			));
			//----------------------------------------------------------->
			$banco=$datos[36];
			$sqlx = "INSERT into dxbascps(rfc, no_suc, tipo, gener, titulo, ap_paterno, ap_materno, nombre, nom_con, app_con, apm_con, giro, calle ,no_int, no_ext,entre_calle, y_calle, cve_pais , cve_estado, cve_delmun, des_colonia , cod_pos, nom_suc, tel,fax, mail, act1, act2, acc_fec, acc_hor, usuario) values ('$datos[0]', '$datos[54]', '$datos[2]', '$datos[3]', '$titulo', '$datos[5]', '$datos[6]', '$datos[7]', '$datos[8]', '$datos[9]', '$datos[10]', '$datos[11]', '$datos[12]', '$datos[13]', '$datos[14]', '$datos[15]', '$datos[16]', '1', '$estado', '$municipio', '$idCol', '$datos[21]', '$datos[22]', '$datos[23]', '$datos[24]', '$datos[25]', '$datos[26]', '$datos[27]', CURDATE(), CURTIME(), '".$_SESSION['num_usu']."')";  
			$resultx = mysqli_query($con ,$sqlx);
			$nn = mysqli_insert_id($con);
			$sqlt = "insert into dxbascpt(codigo,dia_cred,lim_cred,sal_deu, sal_acr, ult_fac, fec_ult_fac, ult_pag, fec_ult_pag, cve_banco, no_sucb, cta_che ,cve_unica, dia_credp, lim_credp, acc_fec, acc_hor, usuario) values ('$nn', '$datos[28]', '$datos[29]', '$datos[30]', '$datos[31]', '$datos[32]', '$datos[33]', '$datos[34]', '$datos[35]','$banco', '$datos[37]', '$datos[38]', '$datos[39]', '$datos[40]', '$datos[41]', CURDATE(), CURTIME(), '".$_SESSION['num_usu']."')";  
			$resultx = mysqli_query($con ,$sqlt);
			for ($cont=42;$cont<=54;$cont++){
				if ($cont <= 48) $tip_cl ="c";
				else $tip_cl ="p";
				if ($datos[$cont]!=""){
					mysqli_query($con ,"insert into dvcatmov (cod_usu, id_cta, fec_reg, hor_reg, tip_usu) values ('$nn','$datos[$cont]',CURDATE(), CURTIME(), '$tip_cl')");
				}
			}
			//inserta informacion a dgcatcli 
			if($datos[26]==1){
				$sqly = "insert into dgcatcli(nom_cli, ap_pat_cli, ap_mat_cli, codigo, rfc_cli, acc_fec, acc_hor, usuario) values ('$datos[7]', '$datos[5]', '$datos[6]', '$nn', '$datos[0]', CURDATE(),CURTIME(), '".$_SESSION['num_usu']."')";  
				$resulty = mysqli_query($con ,$sqly);
			}
			//insertai nforamcion a dgcatpro
			if($datos[27]==1){
				$sqlu = "insert into dgcatpro(ap_pat_pro, ap_mat_pro, nom_pro, codigo, rfc_pro, acc_fec, acc_hor, usuario) values ('$datos[5]', '$datos[6]', '$datos[7]', '$nn', '$datos[0]',CURDATE(),CURTIME(), '".$_SESSION['num_usu']."')";  
				$resultu = mysqli_query($con ,$sqlu);
			}
		}else{
	/*		$dt_bascps=mysqli_fetch_array($sq_bascpsCheck);
			$idCol=getId_COLONI(array(
				"idPais"=>$dt_bascps['cve_pais'],
				"idEst"=>$dt_bascps['cve_estado'],
				"idMun"=>$dt_bascps['cve_delmun'],
				"desCol"=>$datos[20],
				"codPos"=>$datos[21]
			));
			//echo "$idCol<br>";
			$rs=mysqli_query($con ,"UPDATE dxbascps SET no_suc='$datos[54]', des_colonia='$idCol', cod_pos='$datos[21]' WHERE codigo='".$dt_bascps['codigo']."'");*/
		}
	}
	//cierra el archivo
	$timeFin=date('H:i:s');
	fclose ($nar);
	echo '<h2>SE AGREGARON '.$j.' CLIENTES Y PROVEEDORES EN: '.difTime($timeIni,$timeFin).' (H:m:s)</h2>' ;
}
else{
	echo '<meta content="10; url=DXA1000_PR.php" HTTP-EQUIV="REFRESH">';
	echo '<h1>Error al abrir el archivo :'.$_REQUEST['t1'].'</h1>';
}

function getId_COLONI($values){
	$sq_delmun=mysqli_query($con ,"SELECT cve_col FROM geoyos_jc.dxcoloni WHERE cve_pais='".$values['idPais']."' AND cve_estado='".$values['idEst']."' AND cve_delmun='".$values['idMun']."' AND cod_pos='".$values['codPos']."' AND des_colonia='".$values['desCol']."'");
	if(mysqli_num_rows($sq_delmun)==0){
		$rs=mysqli_query($con ,"INSERT INTO geoyos_jc.dxcoloni SET cve_pais='".$values['idPais']."', cve_estado='".$values['idEst']."', cve_delmun='".$values['idMun']."', des_colonia='".$values['desCol']."', cod_pos='".$values['codPos']."'");
		$idCol=mysqli_insert_id();
	}else{
		$dt_delmun=mysqli_fetch_array($sq_delmun);
		$idCol=$dt_delmun['cve_col'];
	}
	return $idCol;	
}
//cierra la conexxion
//mysqli_query($con ,"ALTER TABLE dxbascps drop index no_suc");
mysqli_query($con ,"OPTIMIZE TABLE dxbascps");
mysqli_query($con ,"REPAIR TABLE dxbascps");

mysqli_close($con);
?>  
</body>
</html>